/**
 * DevExtreme (cjs/renovation/ui/scroll_view/utils/get_relative_offset.js)
 * Version: 21.1.5 (build 21235-0944)
 * Build date: Mon Aug 23 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.getRelativeOffset = getRelativeOffset;

function getRelativeOffset(targetElement, sourceElement) {
    var offset = {
        left: 0,
        top: 0
    };
    var currentElement = sourceElement;
    while (currentElement && currentElement !== targetElement) {
        var parentOffsetElement = currentElement.offsetParent;
        var currentElementRect = currentElement.getBoundingClientRect();
        var parentOffsetElementRect = parentOffsetElement.getBoundingClientRect();
        offset.left += currentElementRect.left - parentOffsetElementRect.left;
        offset.top += currentElementRect.top - parentOffsetElementRect.top;
        currentElement = currentElement.offsetParent
    }
    return offset
}
