/**
 * DevExtreme (esm/ui/form/components/button_item.js)
 * Version: 21.1.5 (build 21235-0944)
 * Build date: Mon Aug 23 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import $ from "../../../core/renderer";
import {
    isDefined
} from "../../../core/utils/type";
import {
    extend
} from "../../../core/utils/extend";
import {
    FIELD_BUTTON_ITEM_CLASS,
    FIELD_ITEM_CLASS
} from "../constants";
export function renderButtonItem(_ref) {
    var {
        item: item,
        $container: $container,
        validationGroup: validationGroup,
        createComponentCallback: createComponentCallback,
        cssItemClass: cssItemClass
    } = _ref;
    $container.addClass(FIELD_BUTTON_ITEM_CLASS).css("textAlign", convertAlignmentToTextAlign(item.horizontalAlignment)).addClass(FIELD_ITEM_CLASS).addClass(cssItemClass).addClass(isDefined(item.col) ? "dx-col-" + item.col : "");
    $container.parent().css("justifyContent", convertAlignmentToJustifyContent(item.verticalAlignment));
    var $button = $("<div>");
    $container.append($button);
    return createComponentCallback($button, "dxButton", extend({
        validationGroup: validationGroup
    }, item.buttonOptions))
}

function convertAlignmentToTextAlign(horizontalAlignment) {
    return isDefined(horizontalAlignment) ? horizontalAlignment : "right"
}

function convertAlignmentToJustifyContent(verticalAlignment) {
    switch (verticalAlignment) {
        case "center":
            return "center";
        case "bottom":
            return "flex-end";
        default:
            return "flex-start"
    }
}
