/**
 * DevExtreme (esm/ui/pivot_grid/utils/get_scrollbar_info.js)
 * Version: 21.1.5 (build 21235-0944)
 * Build date: Mon Aug 23 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import $ from "../../../core/renderer";
import {
    getScrollbarWidth
} from "./get_scrollbar_width";
var scrollBarInfoCache = {};
export function getScrollBarInfo(useNative) {
    if (scrollBarInfoCache[useNative]) {
        return scrollBarInfoCache[useNative]
    }
    var $dummyContainer = $("<div>").appendTo("body");
    try {
        var scrollBarWidth;
        var options = {};
        var $dummyScrollable = $("<div>").css({
            position: "absolute",
            visibility: "hidden",
            top: -1e3,
            left: -1e3,
            width: 100,
            height: 100
        }).appendTo($dummyContainer);
        $("<p>").css({
            width: "100%",
            height: 200
        }).appendTo($dummyScrollable);
        if ("auto" !== useNative) {
            options.useNative = !!useNative;
            options.useSimulatedScrollbar = !useNative
        }
        var scrollable = $dummyScrollable.dxScrollable(options).dxScrollable("instance");
        var scrollBarUseNative = scrollable.option("useNative");
        scrollBarWidth = scrollBarUseNative ? getScrollbarWidth($(scrollable.container()).get(0)) : 0;
        scrollBarInfoCache[useNative] = {
            scrollBarWidth: scrollBarWidth,
            scrollBarUseNative: scrollBarUseNative
        }
    } finally {
        $dummyContainer.remove()
    }
    return scrollBarInfoCache[useNative]
}
